slow WFS response using big project files

2015-06-18 05:34 AM - Henrik Uggla

Status: Closed

Priority: Normal

Assignee:

Category: QGIS Server

Affected QGIS version:2.8.2 Regression?: No

Operating System: Ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 21071

Description

Serving WFS gets slow when the project file contains a large number of layers (tested with Postgis layers). The issue is present in Qgis

Server 2.8.1 and 2.8.2, but not in 2.4 (2.6 not tested). WMS is not affected. Workaround: move some layers to other project files.

History

#1 - 2015-10-05 04:37 AM - Jürgen Fischer

- Subject changed from slow Qgis Server WFS from big project files to slow WFS response using big project files

#2 - 2017-01-05 08:19 AM - Giovanni Manghi

- Priority changed from High to Normal

- Status changed from Open to Feedback

Is this still the case in recent qgis releases?

If yes this would configure as a regression.

#3 - 2017-01-26 03:01 AM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing for lack of feedback.
